// src/components/Article/Article.js
import React from 'react';
import PropTypes from 'prop-types';

const Article = ({
  article: {
    id,
    title = '',
    contents = '',
    img = '',
  },
}) => (
  <article key={id}>
    {title ? <h3>{title}</h3> : ''}
    {img ? <img src={img} alt="記事画像" /> : ''}
    <p>{contents}</p>
  </article>
);

Article.propTypes = {
  article: PropTypes.shape({
    id: PropTypes.string.isRequired,
    title: PropTypes.string,
    contents: PropTypes.string,
    img: PropTypes.string,
  }).isRequired,
};

export default Article;
